## php-pecl-http-2 2.6.0

=== debian/changelog ===
php-pecl-http-2 (1:2.6.0-4+0~20250816.14+debian11~1.gbp9889c1) unstable; urgency=medium

  ** SNAPSHOT build @9889c1473b937a6f7a83936e32b696d947ebe9fd **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Sat, 16 Aug 2025 09:54:22 +0200

php-pecl-http-2 (1:2.6.0-4) unstable; urgency=medium

  * Reduce the propro and raphf build depends

 -- Ondřej Surý <ondrej@debian.org>  Tue, 27 Jun 2023 13:14:32 +0200

php-pecl-http-2 (1:2.6.0-3) unstable; urgency=medium

  * Use libicu-dev as the IDN implementation

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Jul 2022 06:12:14 +0200

php-pecl-http-2 (1:2.6.0-2) unstable; urgency=medium

  * Strip the now here defunct PHP default version from d/rules
  * Provide alternative IDN libraries

 -- Ondřej Surý <ondrej@debian.org>  Thu, 07 Jul 2022 06:07:49 +0200

php-pecl-http-2 (1:2.6.0-1) unstable; urgency=medium

  * Split the source package for PHP 5.x

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jan 2022 14:50:49 +0100

php-pecl-http (4.2.1+3.2.4+2.6.0-4) unstable; urgency=medium

  * Recompile for PHP 7.4 until the transition is complete

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Jan 2022 13:09:53 +0100

php-pecl-http (4.2.1+3.2.4+2.6.0-2) unstable; urgency=medium

  * Remove unused libpcre3-dev Build-Dependency (Closes: #999994)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Nov 2021 13:20:37 +0100

php-pecl-http (4.2.1+3.2.4+2.6.0-1) unstable; urgency=medium

  * New upstream version 4.2.1+3.2.4+2.6.0
   + pecl_http 2.6.0 is used for PHP 5.6
   + pecl_http 3.2.4 is used for PHP 7.x
   + pecl_http 4.2.1 is used for PHP 8.0+

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:07:30 +0100

php-pecl-http (4.1.0+3.2.4+2.6.0-2) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:01:01 +0100

php-pecl-http (4.1.0+3.2.4+2.6.0-1) unstable; urgency=medium

  * New upstream version 4.1.0+3.2.4+2.6.0
   + pecl_http 2.6.0 is used for PHP 5.6
   + pecl_http 3.2.4 is used for PHP 7.x
   + pecl_http 4.1.0 is used for PHP 8.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Aug 2021 09:23:04 +0200

php-pecl-http (4.0.0+3.2.4+2.6.0-7) unstable; urgency=medium

  * Bump B-D to dh-php >= 3.1~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 18:07:36 +0100

php-pecl-http (4.0.0+3.2.4+2.6.0-6) unstable; urgency=medium

  * Override the PHP_DEFAULT_VERSION

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 17:08:00 +0100

php-pecl-http (4.0.0+3.2.4+2.6.0-5) unstable; urgency=medium

  * Revert arch:all change, as it breaks shlibs:Depends

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 13:21:41 +0100

php-pecl-http (4.0.0+3.2.4+2.6.0-4) unstable; urgency=medium

  * Change B-D from php-propro and php-raphf to php-propro-all-dev and php-raphf-all-dev

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 12:41:37 +0100

php-pecl-http (4.0.0+3.2.4+2.6.0-3) unstable; urgency=medium

  * The main dummy package is arch:all
  * Bump dh-php Build-Depends to >= 3.0~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:51:09 +0100

php-pecl-http (4.0.0+3.2.4+2.6.0-2) unstable; urgency=medium

  * Add libicu-dev to Build-Depends to fix FTBFS
  * Update changelog for 4.0.0+3.2.4+2.6.0-1 release
  * Update standards version to 4.5.1 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 12:10:56 +0100

php-pecl-http (4.0.0+3.2.4+2.6.0-1) unstable; urgency=medium

  * Sync the changelog with Debian bullseye
  * Update d/gbp.conf for debian/main branch
  * New upstream version 4.0.0+3.2.4+2.6.0
   + pecl_http 2.6.0 is used for PHP 5.6
   + pecl_http 3.2.4 is used for PHP 7.x
   + pecl_http 4.0.0 is used for PHP 8.0
  * Add libicu-dev to Build-Depends to fix FTBFS

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 11:16:50 +0100

php-pecl-http (4.0.0~beta1+3.2.3+2.6.0-2) unstable; urgency=medium

  * Lower the dh-php dependency to Debian sid version
  * Update d/gbp.conf for Debian bullseye

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 16:40:39 +0100

php-pecl-http (4.0.0~beta1+3.2.3+2.6.0-1) unstable; urgency=medium

  * Update d/watch to use https://pecl.php.net
  * New upstream version 4.0.0~beta1+3.2.3+2.6.0
   + Add beta support for PHP 8.0 via 4.0.0~beta1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 01 Jan 2021 14:14:00 +0100

php-pecl-http (3.2.3+2.6.0+nophp8-1) unstable; urgency=medium

  * Finish conversion to debhelper compat level 10
  * Update for dh-php >= 2.0 support
  * New upstream version 3.2.3+2.6.0+nophp8

 -- Ondřej Surý <ondrej@debian.org>  Sun, 11 Oct 2020 20:39:35 +0200

php-pecl-http (3.2.3+2.6.0-4) unstable; urgency=medium

  * Disable the tests properly with dh-php >= 0.35

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Dec 2019 13:17:44 +0100

php-pecl-http (3.2.3+2.6.0-3) unstable; urgency=medium

  * Really disable the tests

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Dec 2019 13:03:09 +0100

php-pecl-http (3.2.3+2.6.0-2) unstable; urgency=medium

  * Disable running tests, as they require raphf extension while the make
    test disable loading of all system extensions

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Dec 2019 12:52:24 +0100

php-pecl-http (3.2.3+2.6.0-1) unstable; urgency=medium

  * New upstream version 3.2.3+2.6.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Dec 2019 12:27:07 +0100

php-pecl-http (3.2.1+2.6.0-2) unstable; urgency=medium

  * Build-Depend on libidn2 instead of old libidn11

 -- Ondřej Surý <ondrej@sury.org>  Thu, 12 Sep 2019 10:38:02 +0200

php-pecl-http (3.2.1+2.6.0-1) unstable; urgency=medium

  * Add Pre-Depends on php-common >= 0.69~
  * New upstream version 3.2.1+2.6.0
  * Rebase patches for php-pecl-http_3.2.1+2.6.0

 -- Ondřej Surý <ondrej@sury.org>  Thu, 08 Aug 2019 09:15:15 +0200

php-pecl-http (3.2.0+2.6.0-2) unstable; urgency=medium

  * Bump the dependency on dh-php to >= 0.33

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Oct 2018 10:24:23 +0000


