=== debian/watch ===
version=3
https://pecl.php.net/package/pecl_http \
  /get/pecl_http-(2\.6\.0).tgz  debian  uupdate
